%define name	krename
%define version	4.0.9
%define release %mkrel 1

Summary:	A powerful batch renamer for KDE
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPLv2+
Url:		http://www.krename.net/
Group:		Graphical desktop/KDE5
Source0: 	http://prdownloads.sourceforge.net/krename/%{name}-%{version}.tar.xz
Patch0:		krename-4.0.9-includedir.patch
BuildRequires:  %{_lib}kde4-kdelibs-devel
BuildRequires:	taglib-devel
BuildRequires:	libexiv-devel
BuildRequires:	%{_lib}podofo-devel
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Obsoletes:	%name < %version

%description
Krename is a very powerful batch file renamer for KDE4
which can rename a list of files based on a set of expressions.
It can copy/move the files to another directory or simply 
rename the input files.

Krename supports many conversion operations, including
conversion of a filename to lowercase or to uppercase,
conversion of the first letter of every word to uppercase,
adding numbers to filenames, finding and replacing parts of
the filename, and many more. It can also change access and
modification dates, permissions, and file ownership.

%prep
%setup -q
%apply_patches

%build
%cmake_kde4
%make

%install
rm -rf %{buildroot}
%{makeinstall_std} -C build


desktop-file-install --vendor="" \
     --add-category="X-MandrivaLinux-System-FileTools" \
     --dir=%{buildroot}%{_datadir}/applications/kde4 %{buildroot}%{_datadir}/applications/kde4/*


#fix service menu
perl -pi -e "s|Actions=rename|Actions=rename;|" $RPM_BUILD_ROOT%{_datadir}/kde4/services/ServiceMenus/krename_all_nonrec.desktop
perl -pi -e "s|Actions=rename|Actions=rename;|" $RPM_BUILD_ROOT%{_datadir}/kde4/services/ServiceMenus/krename_dir_rec.desktop


%find_lang %{name} --with-html

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS README
%{_kde_bindir}/%{name}
%{_kde_services}/ServiceMenus/*.desktop
%{_kde_applicationsdir}/*.desktop
%{_kde_iconsdir}/*/*/apps/*.png
%{_kde_datadir}/locale/*/LC_MESSAGES/*.mo

%changelog
* Sat Apr 30 2016 bb <bb> 4.0.9-1pclos2016
- build for KDE5

